# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2020-12-03 01:18
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import xyz_util.modelutils


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64, verbose_name='\u540d\u79f0')),
                ('is_active', models.BooleanField(default=True, verbose_name='\u6709\u6548')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
            ],
            options={
                'verbose_name': '\u5b50\u699c',
                'verbose_name_plural': '\u5b50\u699c',
            },
        ),
        migrations.CreateModel(
            name='Item',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('owner_id', models.PositiveIntegerField(blank=True, db_index=True, null=True, verbose_name='\u5c5e\u4e3b\u7f16\u53f7')),
                ('owner_name', models.CharField(blank=True, default='', max_length=256, verbose_name='\u5c5e\u4e3b\u540d\u79f0')),
                ('value', models.PositiveIntegerField(blank=True, default=0, verbose_name='\u6570\u989d')),
                ('create_time', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('owner_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='contenttypes.ContentType', verbose_name='\u5f52\u7c7b')),
            ],
            options={
                'verbose_name': '\u660e\u7ec6',
                'verbose_name_plural': '\u660e\u7ec6',
            },
        ),
        migrations.CreateModel(
            name='Point',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.PositiveIntegerField(blank=True, default=0, verbose_name='\u6570\u989d')),
                ('create_time', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('category', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='points', to='points.Category', verbose_name='\u5b50\u699c')),
            ],
            options={
                'verbose_name': '\u79ef\u5206',
                'verbose_name_plural': '\u79ef\u5206',
            },
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64, verbose_name='\u540d\u79f0')),
                ('is_active', models.BooleanField(default=True, verbose_name='\u6709\u6548')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
            ],
            options={
                'verbose_name': '\u8ba1\u5212',
                'verbose_name_plural': '\u8ba1\u5212',
            },
        ),
        migrations.CreateModel(
            name='Session',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, default='\u7b2c\u4e00\u671f', max_length=64, verbose_name='\u540d\u79f0')),
                ('number', models.PositiveIntegerField(verbose_name='\u5e8f\u53f7')),
                ('is_active', models.BooleanField(default=True, verbose_name='\u6709\u6548')),
                ('begin_time', models.DateTimeField(auto_now=True, verbose_name='\u5f00\u59cb\u65f6\u95f4')),
                ('end_time', models.DateTimeField(auto_now=True, verbose_name='\u7ed3\u675f\u65f6\u95f4')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='sessions', to='points.Project', verbose_name='\u8ba1\u5212')),
            ],
            options={
                'verbose_name': '\u5468\u671f',
                'verbose_name_plural': '\u5468\u671f',
            },
        ),
        migrations.CreateModel(
            name='Subject',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64, verbose_name='\u540d\u79f0')),
                ('function', xyz_util.modelutils.JSONField(blank=True, null=True, verbose_name='\u7a0b\u5e8f')),
                ('is_active', models.BooleanField(default=True, verbose_name='\u6709\u6548')),
                ('coefficient', models.PositiveIntegerField(blank=True, default=1, verbose_name='\u7cfb\u6570')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='subjects', to='points.Project', verbose_name='\u8ba1\u5212')),
            ],
            options={
                'verbose_name': '\u79d1\u76ee',
                'verbose_name_plural': '\u79d1\u76ee',
            },
        ),
        migrations.AddField(
            model_name='point',
            name='project',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='points', to='points.Project', verbose_name='\u8ba1\u5212'),
        ),
        migrations.AddField(
            model_name='point',
            name='session',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='points', to='points.Session', verbose_name='\u5468\u671f'),
        ),
        migrations.AddField(
            model_name='point',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='points', to=settings.AUTH_USER_MODEL, verbose_name='user'),
        ),
        migrations.AddField(
            model_name='item',
            name='point',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='items', to='points.Point', verbose_name='\u79ef\u5206'),
        ),
        migrations.AddField(
            model_name='item',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='points_items', to=settings.AUTH_USER_MODEL, verbose_name='user'),
        ),
        migrations.AddField(
            model_name='category',
            name='project',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='categories', to='points.Project', verbose_name='\u8ba1\u5212'),
        ),
        migrations.AlterUniqueTogether(
            name='item',
            unique_together=set([('point', 'user', 'owner_type', 'owner_id')]),
        ),
    ]
